# Uses of Interface
jdk.dynalink.Namespace

Packages that use Namespace
Package
Description
jdk.dynalink
Contains interfaces and classes that are used to link an `invokedynamic` call site.

## Uses of Namespace in jdk.dynalink

Classes in jdk.dynalink that implement Namespace
Modifier and Type
Class
Description
`enum`
`StandardNamespace`
An enumeration of standard namespaces defined by Dynalink.
Methods in jdk.dynalink that return Namespace
Modifier and Type
Method
Description
`Namespace`
NamespaceOperation.`getNamespace(int i)`
Returns the i-th namespace in this namespace operation.
`Namespace[]`
NamespaceOperation.`getNamespaces()`
Returns the namespaces in this namespace operation.
`static Namespace[]`
NamespaceOperation.`getNamespaces(Operation op)`
If the passed operation is a namespace operation, returns its `NamespaceOperation.getNamespaces()`, otherwise returns an empty array.
Methods in jdk.dynalink with parameters of type Namespace
Modifier and Type
Method
Description
`boolean`
NamespaceOperation.`contains(Namespace namespace)`
Returns true if this namespace operation contains a namespace equal to the specified namespace.
`static boolean`
NamespaceOperation.`contains(Operation op, Operation baseOperation, Namespace namespace)`
Returns true if the specified operation is a `NamespaceOperation` and its base operation is equal to the specified operation, and it contains the specified namespace.
`default NamespaceOperation`
Operation.`withNamespace(Namespace namespace)`
Returns a `NamespaceOperation` using this operation as its base.
`default NamespaceOperation`
Operation.`withNamespaces(Namespace... namespaces)`
Returns a `NamespaceOperation` using this operation as its base.
Constructors in jdk.dynalink with parameters of type Namespace
Modifier
Constructor
Description
``
`NamespaceOperation(Operation baseOperation, Namespace... namespaces)`
Constructs a new namespace operation.